<div>
    <h2>
        <span jhiTranslate="typerApp.league.home.title">Leagues</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="bets">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="typerApp.bet.typer">Name</span></th>
            <th><span jhiTranslate="typerApp.bet.type">Type</span></th>
            <th><span jhiTranslate="typerApp.bet.game">Game</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let bet of pagedItems">
                <td>{{bet.user.firstName + ' ' + bet.user.lastName}}</td>
                <td>{{bet.type == 1 ? 'Dokładny wynik' : bet.type == 2 ? 'Zakład prosty' : 'Zakład mieszany' }}</td>
                <td>
                    {{bet.game.host.name + ' vs ' + bet.game.guest.name}}
                </td>
                <td>{{bet.type == 1 ? bet.hostResult + ':' + bet.guestResult : bet.type == 2 ? (bet.winner == 0 ? 'Remis' : bet.winner == 1 ? bet.game.host.name : bet.game.guest.name) : bet.hostResult + ':' + bet.guestResult + ' / ' + (bet.winner == 0 ? 'Remis' : bet.winner == 1 ? bet.game.host.name : bet.game.guest.name) }}</td>
            </tr>
            </tbody>
        </table>
        <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === 1}"><a class="page-link"
                                                                                    (click)="setPage(1)">Pierwsza</a>
            </li>
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === 1}"><a class="page-link"
                                                                                    (click)="setPage(pager.currentPage - 1)">Poprzednia</a>
            </li>
            <li class="page-item" *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                <a
                    class="page-link" (click)="setPage(page)">{{page}}</a></li>
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === pager.totalPages}"><a class="page-link"
                                                                                                   (click)="setPage(pager.currentPage + 1)">Następna</a>
            </li>
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === pager.totalPages}"><a class="page-link"
                                                                                                   (click)="setPage(pager.totalPages)">Ostatnia</a>
            </li>
        </ul>
    </div>
</div>
